/* ********************************************************************** */
/*                                                                        */
/* xdemineur - Jeu de reflexion sous X, version 1.0                       */
/*                                                                        */
/* Copyright : Marc Baudoin (baudoin@ensta.fr)                            */
/*                                                                        */
/*            |\                                                          */
/*          |\| \                                                         */
/*          |//  )                                                        */
/*        |\ /  /        /\/\_                                            */
/*        |//  /        /. . /                                            */
/*      |\ /  /     ___/    |_                                            */
/*      |//  /     (____/    /_/\_                                        */
/*       |__|      (_____/ __     >                                       */
/*     /| ___  ________ _< \ \__  >                                       */
/*     \|| __\| _|_   _/ \\ \___\/                                        */
/*       | __\____ | |/ _ \\    >                                         */
/*     /||___\_____|___/ \_\\  _>                                         */
/*     \|____           ____ \|                                           */
/*       \   \_________/   /                                              */
/*        \   _    _      /                                               */
/*         \_//   //_____/                                                */
/*           (_   \ (_  _\                                                */
/*             |/\|   \/                                                  */
/*                                                                        */
/* Ecole Nationale Superieure de Techniques Avancees (ENSTA)              */
/* 32, boulevard Victor - 75015 Paris - France                            */
/*                                                                        */
/* Vous avez le droit d'utiliser et de distribuer xdemineur et sa         */
/* documentation pourvu que cette notice de copyright apparaisse sur      */
/* toutes les copies et que vous ne tiriez aucun profit de mon programme. */
/*                                                                        */
/* ********************************************************************** */



#define NB_LIG     16   /* nombre de lignes   du tableau de jeu (par defaut) */
#define NB_COL     30   /* nombre de colonnes du tableau de jeu (par defaut) */
#define NB_MINES   ( int ) ( ( double ) ( nb_lig * nb_col ) / 4.8 )

typedef int BOOLEAN ;
#define TRUE    1
#define FALSE   0

struct jeu
{
   BOOLEAN   mine ;     /* TRUE s'il y a une mine, FALSE sinon  */
   int       nombre ;   /* nombre de mines autour de cette case */
   enum
   {
      COUVERTE     /* on n'a pas regarde     */ ,
      DECOUVERTE   /* on a decouvert la case */ ,
      MARQUEE      /* il y a une mine        */ ,
      INTERRO      /* on se demande          */
   }
   etat ;          /* etat de la case */
} ;
